- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Attributes | Properties

# VolumeSlider Class Reference

Search for all occurrences

## Detailed Description

Widget providing a slider to control the volume of an AudioOutput.

Author:
  Matthias Kretz <kretz@kde.org>

Definition at line 46 of file volumeslider.h.

`#include <Phonon/VolumeSlider>`

Inheritance diagram for VolumeSlider:
[legend]

List of all members.

## Public Slots
void | setMaximumVolume (qreal)
void | setOrientation (Qt::Orientation)
void | setMuteVisible (bool)
void | setIconSize (const QSize &size)
void | setAudioOutput (Phonon::AudioOutput *)
| Sets the audio output object to be controlled by this slider.
## Public Member Functions
| VolumeSlider (QWidget *parent=0)
| Constructs a new volume slider with a `parent`.
| VolumeSlider (AudioOutput *, QWidget *parent=0)
| ~VolumeSlider ()
bool | hasTracking () const
void | setTracking (bool tracking)
int | pageStep () const
void | setPageStep (int milliseconds)
int | singleStep () const
void | setSingleStep (int milliseconds)
bool | isMuteVisible () const
QSize | iconSize () const
qreal | maximumVolume () const
Qt::Orientation | orientation () const
AudioOutput * | audioOutput () const
## Protected Attributes
VolumeSliderPrivate *const | k_ptr
## Properties
qreal | maximumVolume
| This property holds the maximum volume that can be set with this slider.
Qt::Orientation | orientation
| This property holds the orientation of the slider.
bool | tracking
| This property holds whether slider tracking is enabled.
int | pageStep
| This property holds the page step.
int | singleStep
| This property holds the single step.
bool | muteVisible
| This property holds whether the mute button/icon next to the slider is visible.
QSize | iconSize
| the icon size used for the mute button/icon.

## Constructor & Destructor Documentation

VolumeSlider | ( | QWidget * | parent = `0` | ) | `[explicit]`

Constructs a new volume slider with a `parent`.

VolumeSlider | ( | AudioOutput * | ,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

~VolumeSlider | ( |  | ) |

## Member Function Documentation

bool hasTracking | ( |  | ) | const

Search for all occurrences

void setTracking | ( | bool | tracking | ) |

Search for all occurrences

int pageStep | ( |  | ) | const

Search for all occurrences

void setPageStep | ( | int | milliseconds | ) |

Search for all occurrences

int singleStep | ( |  | ) | const

Search for all occurrences

void setSingleStep | ( | int | milliseconds | ) |

Search for all occurrences

bool isMuteVisible | ( |  | ) | const

Search for all occurrences

QSize iconSize | ( |  | ) | const

Search for all occurrences

qreal maximumVolume | ( |  | ) | const

Search for all occurrences

Qt::Orientation orientation | ( |  | ) | const

Search for all occurrences

AudioOutput* audioOutput | ( |  | ) | const

Search for all occurrences

void setMaximumVolume | ( | qreal |  | ) | `[slot]`

Search for all occurrences

void setOrientation | ( | Qt::Orientation |  | ) | `[slot]`

Search for all occurrences

void setMuteVisible | ( | bool |  | ) | `[slot]`

Search for all occurrences

void setIconSize | ( | const QSize & | size | ) | `[slot]`

Search for all occurrences

void setAudioOutput | ( | Phonon::AudioOutput * |  | ) | `[slot]`

Search for all occurrences

Sets the audio output object to be controlled by this slider.

## Member Data Documentation

VolumeSliderPrivate* const k_ptr `[protected]`

Search for all occurrences

Definition at line 138 of file volumeslider.h.

## Property Documentation

qreal maximumVolume `[read, write]`

Search for all occurrences

This property holds the maximum volume that can be set with this slider.

By default the maximum value is 1.0 (100%).

Definition at line 55 of file volumeslider.h.

Qt::Orientation orientation `[read, write]`

Search for all occurrences

This property holds the orientation of the slider.

The orientation must be Qt::Vertical (the default) or Qt::Horizontal.

Definition at line 61 of file volumeslider.h.

bool tracking `[read, write]`

Search for all occurrences

This property holds whether slider tracking is enabled.

If tracking is enabled (the default), the volume changes while the slider is being dragged. If tracking is disabled, the volume changes only when the user releases the slider.

Definition at line 71 of file volumeslider.h.

int pageStep `[read, write]`

Search for all occurrences

This property holds the page step.

The larger of two natural steps that a slider provides and typically corresponds to the user pressing PageUp or PageDown.

Defaults to 5 (5% of the voltage).

Definition at line 81 of file volumeslider.h.

int singleStep `[read, write]`

Search for all occurrences

This property holds the single step.

The smaller of two natural steps that a slider provides and typically corresponds to the user pressing an arrow key.

Defaults to 1 (1% of the voltage).

Definition at line 91 of file volumeslider.h.

bool muteVisible `[read, write]`

Search for all occurrences

This property holds whether the mute button/icon next to the slider is visible.

By default the mute button/icon is visible.

Definition at line 98 of file volumeslider.h.

QSize iconSize `[read, write]`

Search for all occurrences

the icon size used for the mute button/icon.

The default size is defined by the GUI style.

Definition at line 105 of file volumeslider.h.

The documentation for this class was generated from the following file:

- phonon/volumeslider.h

VolumeSlider VolumeSlider VolumeSlider VolumeSlider VolumeSlider VolumeSlider VolumeSlider VolumeSlider VolumeSlider VolumeSlider
VolumeSlider VolumeSlider VolumeSlider VolumeSlider VolumeSlider VolumeSlider VolumeSlider VolumeSlider VolumeSlider VolumeSlider